﻿
* {
    font-family: Roboto,"Helvetica Neue",Helvetica,Arial;
    font-style: normal;
}

.btn {
    font-family: unset !important;
}

::placeholder { /* Firefox */
    color: #D3D4D8 !important;
    /*opacity: 0.5;*/
    font-weight: unset;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #D3D4D8 !important;
    /*opacity: 0.5;*/
    font-weight: unset;
}

::-ms-input-placeholder { /* Microsoft Edge */
    color: #D3D4D8 !important;
    /*opacity: 0.5;*/
    font-weight: unset;
}

.bar-iconOpen {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.bar-iconClose {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.nav-link {
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 24px;
}

.datepicker-dropdown {
    z-index: 10000 !important;
}



.treeparent {
    background: rgba(135, 181, 224, 0.2);
    box-shadow: inset 0px -1px 0px rgba(0, 0, 0, 0.25), inset 0px 1px 0px rgba(0, 0, 0, 0.25);
}

.treeparent1 {
    background: rgb(246 246 249 / 93%);
    box-shadow: rgb(0 0 0 / 25%) 0px -1px 0px inset, rgb(0 0 0 / 25%) 0px 1px 0px inset;
}

.logo {
    position: absolute;
    max-width: 30px;
    height: 35px;
    margin-left: 10%;
}

.select2-container--default {
    width: 100% !important;
}

.m-content {
    margin-top: 40px;
}
/*@media (min-width: 1025px) {
    .m-header--fixed .m-header {
        z-index: 1300 !important;
    }
}*/

/*.m-aside-left.m-aside-left--skin-dark {
    z-index: 1299 !important;
}*/
.m-switch input:empty ~ span:after {
    display: flex;
    height: 20px;
    width: 20px;
    padding-top: 2px;
    top: 0px;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
}

.m-switch input:empty ~ span:before {
    width: 40px;
    height: 20px;
    margin-left: 3px;
}

.m-switch {
    height: 20px;
}

.thao-tac {
    display: flex;
    justify-content: flex-end;
    height: 100%;
}

.form-control.datepicker {
    width: 100% !important;
}

.m-checkbox.m-checkbox--focus > input:checked ~ span {
    border: 1px solid #5867dd !important;
}

.m-checkbox.m-checkbox--focus > span:after {
    border: solid #5867dd;
}

.m-checkbox--state-brand {
    padding-left: 17px !important;
}

.custum-td-checkbox {
    padding-top: 0px !important;
    vertical-align: inherit !important;
}

.custum-th-checkbox {
    width: 40px;
    padding-top: 0px !important;
    vertical-align: inherit !important;
}

/*.btn-outline-primary {
    color: #5867dd !important;
}*/

a {
    cursor: pointer
}

.m-brand.m-brand--skin-dark {
    background: #ffffff;
}

.m-aside-left.m-aside-left--skin-dark {
    background-color: #ffffff;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--active > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--active > .m-menu__link {
    background: linear-gradient(to right, #6A9ECA,#9FC0DE, #E8F0F7, #9FC0DE, #6A9ECA);
}

    .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--active > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--active > .m-menu__link .m-menu__link-text {
        color: black !important;
    }

    .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--active > .m-menu__heading .m-menu__link-icon, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--active > .m-menu__link .m-menu__link-icon {
        color: black !important;
    }

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--open {
    background: linear-gradient(to right, #6A9ECA,#9FC0DE, #E8F0F7, #9FC0DE, #6A9ECA);
    color: black;
}

    .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--open > .m-menu__link .m-menu__link-text {
        color: black;
    }

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__heading .m-menu__link-text {
    color: white !important;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__link .m-menu__ver-arrow {
    color: white !important;
}

.m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--open > .m-menu__link .m-menu__link-text {
    color: black !important;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-text {
    color: #444444;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover {
    transition: background-color .3s;
    background-color: #ffffff;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open {
    transition: background-color .3s;
    background-color: #ffffff;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__link .m-menu__link-text {
    color: white;
}

.m-aside-menu .m-menu__nav .m-menu__item > .m-menu__heading:hover, .m-aside-menu .m-menu__nav .m-menu__item > .m-menu__link:hover {
    text-decoration: none;
    cursor: pointer;
    /*  background-color: #384ad726;*/
    background: linear-gradient(to right, #6A9ECA,#9FC0DE, #E8F0F7, #9FC0DE, #6A9ECA);
    color: black;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__link .m-menu__link-text {
    color: black !important;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__heading .m-menu__ver-arrow, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__link .m-menu__ver-arrow {
    color: black !important;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__link {
    background: linear-gradient(to right, #6A9ECA,#9FC0DE, #E8F0F7, #9FC0DE, #6A9ECA);
    color: black;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--active > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--active > .m-menu__link .m-menu__link-text {
    color: black !important;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--active > .m-menu__heading .m-menu__link-text, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item.m-menu__item--active {
    /*  background-color: #384ad726;*/
    background: linear-gradient(to right, #6A9ECA,#9FC0DE, #E8F0F7, #9FC0DE, #6A9ECA) !important;
    color: black !important;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover {
    color: #ffff;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__heading .m-menu__link-icon, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item.m-menu__item--open > .m-menu__link .m-menu__link-icon {
    color: black !important;
}

.m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__heading .m-menu__link-bullet.m-menu__link-bullet--dot > span, .m-aside-menu.m-aside-menu--skin-dark .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__link .m-menu__link-bullet.m-menu__link-bullet--dot > span {
    background-color: white;
}

.m-aside-left--minimize .m-aside-menu.m-aside-menu--submenu-skin-dark .m-menu__nav .m-menu__item:not([m-menu-submenu-mode=accordion]).m-menu__item--hover > .m-menu__submenu .m-menu__subnav .m-menu__item > .m-menu__heading .m-menu__link-bullet.m-menu__link-bullet--dot > span, .m-aside-left--minimize .m-aside-menu.m-aside-menu--submenu-skin-dark .m-menu__nav .m-menu__item:not([m-menu-submenu-mode=accordion]).m-menu__item--hover > .m-menu__submenu .m-menu__subnav .m-menu__item > .m-menu__link .m-menu__link-bullet.m-menu__link-bullet--dot > span, .m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark .m-menu__nav .m-menu__item:not([m-menu-submenu-mode=accordion]).m-menu__item--hover > .m-menu__submenu .m-menu__subnav .m-menu__item > .m-menu__heading .m-menu__link-bullet.m-menu__link-bullet--dot > span, .m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark .m-menu__nav .m-menu__item:not([m-menu-submenu-mode=accordion]).m-menu__item--hover > .m-menu__submenu .m-menu__subnav .m-menu__item > .m-menu__link .m-menu__link-bullet.m-menu__link-bullet--dot > span {
    background-color: white;
}

.label-checkbox {
    vertical-align: super !important
}

.m-menu__link:hover > span {
    color: #3227c3 !important
}

.m-menu__link:hover > i > span {
    background-color: #3227c3 !important
}

.m-menu__link:hover > i:before {
    color: #3227c3 !important
}

.m-menu__link:hover > .m-menu__link-title > .m-menu__link-wrap > .m-menu__link-text {
    color: #3227c3 !important
}

.m-aside-menu .m-menu__nav {
    padding: 0 0 30px 0;
}


@media (max-width: 1024px) {
    .m-login__content {
        display: none !important;
    }

    .carousel {
        display: none !important;
    }
}
/**/
@media (max-height: 800px) {
    .m-login.m-login--1 .m-login__wrapper {
        overflow: hidden;
        padding: 10% 2rem 2rem 2rem;
    }
}
/**/
@media (min-width: 1025px) {
    /*Arrow submenu*/
    .m-aside-left--minimize .m-aside-menu.m-aside-menu--submenu-skin-dark .m-menu__nav.m-menu__nav--dropdown-submenu-arrow .m-menu__item.m-menu__item--hover > .m-menu__submenu > .m-menu__arrow, .m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark .m-menu__nav.m-menu__nav--dropdown-submenu-arrow .m-menu__item.m-menu__item--hover > .m-menu__submenu > .m-menu__arrow {
        /*        color: #ffff !important;*/
        color: #337AB7 !important;
    }

    .m-aside-left--minimize .m-aside-menu .m-menu__nav {
        padding: 0px 0 2rem 0;
    }

    .m-brand {
        width: 18.5rem;
        padding: 0 2rem;
    }
}

@media (min-width: 1025px) {
    .m-aside-left--minimize .m-aside-menu.m-aside-menu--submenu-skin-dark .m-menu__nav .m-menu__item:not([m-menu-submenu-mode=accordion]).m-menu__item--hover > .m-menu__submenu .m-menu__subnav, .m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark .m-menu__nav .m-menu__item:not([m-menu-submenu-mode=accordion]).m-menu__item--hover > .m-menu__submenu .m-menu__subnav {
        /*        background-color: #ffff !important;*/
        background-color: #337AB7 !important;
    }
}

.select2-selection__placeholder {
    font-weight: 400 !important;
    color: #D3D4D8 !important
}

.select2-selection__rendered {
    font-weight: 400 !important;
}

    .select2-selection__rendered > .select2-search.select2-search--inline > .select2-search__field {
        font-weight: 400 !important;
    }

.m-aside-menu .m-menu__nav > .m-menu__item > .m-menu__heading .m-menu__link-text, .m-aside-menu .m-menu__nav > .m-menu__item > .m-menu__link .m-menu__link-text {
    font-size: 1.04rem !important;
}

.m-aside-menu .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__heading .m-menu__link-text, .m-aside-menu .m-menu__nav > .m-menu__item .m-menu__submenu .m-menu__item > .m-menu__link .m-menu__link-text {
    font-size: 1.02rem !important;
}

body {
    overflow-x: hidden;
}

#toast-container > div {
    opacity: 1 !important
}

.fa-refresh {
    margin-right: 5px !important;
}

.btn-insert {
    width: 120px !important;
}

.m-topbar .m-topbar__nav.m-nav > .m-nav__item > .m-nav__link .m-topbar__userpic img {
    height: 2.9rem !important;
    width: 2.9rem !important;
    border: 2px solid white;
}

.m-card-user .m-card-user__pic img {
    height: 70px !important;
}

.m-topbar .m-topbar__nav.m-nav > .m-nav__item {
    padding: 0 !important;
}

.m-nav.m-nav--inline > .m-nav__item {
    padding: 0 !important;
}


@media only screen (min-width: 1423px) {
}

@media (max-width: 1024px) {
    .m-topbar .m-topbar__nav.m-nav > .m-nav__item > .m-nav__link .m-topbar__userpic img {
        max-width: 2.1rem !important;
        height: 2.1rem !important;
    }

    .m-topbar .m-topbar__nav.m-nav > .m-nav__item > .m-nav__link .m-topbar__username {
        color: #5867dd;
    }
}

.m-topbar .m-topbar__nav.m-nav > .m-nav__item > .m-nav__link .m-nav__link-badge {
    left: 50%;
    margin-left: -5px;
    position: absolute;
    top: 11px;
}


@media (min-width: 1025px) {
    .m-grid.m-grid--ver-desktop.m-grid--desktop > #m_aside_left {
        flex: 0 0 auto;
        position: fixed;
        height: 100%;
        z-index: 1;
    }
}

@media (min-width: 1025px) {
    .m-grid.m-grid--ver-desktop.m-grid--desktop > .m-grid__item.m-grid__item--fluid {
        flex: 1 auto;
        margin-left: 18.5rem;
    }
}

@media (max-width: 1024px) {
    .m-grid.m-grid--ver-desktop.m-grid--desktop > .m-grid__item.m-grid__item--fluid {
        flex: 1 auto;
        margin-left: 0px !important;
    }
}

.status-lab {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    user-select: none;
    border: 1px solid transparent;
    /* padding: 0.65rem 1rem; */
    font-size: 1rem;
    /* line-height: 0.8; */
    border-radius: 0.25rem;
    background-color: #5867dd;
    width: 110px;
}

.status-primary {
    background-color: #DBDBDB;
    color: #757575;
}

.status-success {
    background-color: #36a3f7;
    color: #fff;
}

.status-warning {
    background-color: #fbaa00;
    color: #212529;
}

.status-danger {
    color: #C10000;
    background-color: rgba(193, 0, 0, 0.2);
}

.status-metal {
    color: #C10000;
    background-color: rgba(193, 0, 0, 0.2);
}

.status-brand {
    color: #ED6400;
    background-color: rgba(237, 100, 0, 0.2);
}

.status-focus {
    background-color: rgba(0, 176, 64, 0.2);
    color: #00B040;
}

.la-edit {
    color: #333439;
}

.col-stt {
    width: 20px;
}

.btn-color-up {
    color: #333439;
}

    .btn-color-up:hover {
        color: #333439;
    }

.new-backgroup-color {
    background-color: #337AB7 !important;
    color: white;
}

.white {
    color: white !important;
}

.m-aside-left {
    transition: none;
    width: 18.5rem;
}

.m-aside-menu .m-menu__nav > .m-menu__item > .m-menu__link {
    padding: 0.5rem 2rem;
}

.m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler span {
    background: white;
}

    .m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler span::after, .m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler span::before {
        background: white;
    }

.m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler:hover span {
    background: white;
}

    .m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler:hover span::after, .m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler:hover span::before {
        background: white;
    }

.m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler.m-brand__toggler--active span {
    background: white;
}

    .m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler.m-brand__toggler--active span::after, .m-brand.m-brand--skin-dark .m-brand__tools .m-brand__toggler.m-brand__toggler--active span::before {
        background: white;
    }

.pd-content {
    padding: 0 1rem;
}


.m-dropdown.m-dropdown--align-center.m-dropdown--large .m-dropdown__wrapper {
    width: 23rem;
}
/* Máy để bàn */
@media only screen (min-width: 1423px) {
    .m-topbar .m-topbar__nav.m-nav > .m-nav__item {
        padding: 0 !important;
    }

    .m-nav.m-nav--inline > .m-nav__item {
        padding: 0 !important;
    }
}

@media only screen and (min-width: 1025px) and (max-width: 1423px) {
    html {
        font-size: 12px !important;
    }

    .spacing-10 {
        border-spacing: 10px 0;
    }
}

/* Ipad Pro */
@media only screen and (min-width: 769px) and (max-width: 1024px) {
    .spacing-10 {
    }

    .pd-content {
        padding: 0;
    }
}

/* Ipad */

@media only screen and (min-width: 375px) and (max-width: 768px) {
    .spacing-10 {
    }

    .pd-content {
        padding: 0;
    }
}

/* Iphone 6/7/8 Plus */

@media only screen and (min-width: 375px) and (max-width: 414px) {
    .spacing-10 {
    }

    .pd-content {
        padding: 0;
    }
}

/* Iphone 6/7/8/X */

@media only screen and (max-width: 375px) {
    .spacing-10 {
    }

    .pd-content {
        padding: 0;
    }
}

/*#region text color standard*/
.text-orange {
    color: #ED6400;
}

.text-red {
    color: #C10000;
}

.text-green {
    color: #00B040;
}

.text-blue {
    color: #0178D4;
}

.table tbody td {
    border-color: #BDBDBD;
}
/*#endregion*/

/*lamdd update*/
.btn-primary {
    background-color: #337AB7 !important;
    border-color: #337AB7 !important;
}

    .btn-primary:hover {
        background-color: #116cb9 !important;
    }

.btn-outline-primary {
    border-color: #337AB7 !important;
    color: #337AB7 !important;
}

    .btn-outline-primary:hover {
        border-color: #337AB7 !important;
        background-color: #337AB7 !important;
    }

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #575962;
    font-size: 1rem;
}

.btn-save-1 {
    background: #337AB7;
    border-color: #337AB7;
    margin-right: 10px;
    width: 120px;
    height: 40px;
}

@media (min-width: 1025px) {
    .m-grid.m-grid--ver-desktop.m-grid--desktop > #m_aside_left {
        height: 95% !important;
        overflow-y: scroll;
    }
}
